Bug 225470 - lang/ruby25: segfault when installing certain gems' docs
Summary: lang/ruby25: segfault when installing certain gems' docs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ruby (Nobody)
URL: https://bugs.ruby-lang.org/issues/14261
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-26 16:58 UTC by Charlie Li
Modified: 2018-02-17 12:05 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (ruby)


Attachments
parse.y and others (286.43 KB, patch)
2018-01-27 15:49 UTC, Charlie Li
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Charlie Li 2018-01-26 16:58:16 UTC
When staging certain rubygems, the process crashes whilst building the rdocs. An example from devel/rubygem-ffi:

=======================<phase: stage          >============================
===>  Staging for rubygem-ffi-1.9.18
===>   Generating temporary packing list
(cd /wrkdirs/usr/ports/devel/rubygem-ffi/work/ffi-1.9.18; /usr/bin/env RB_USER_INSTALL=yes LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8 /usr/local/bin/gem25 install -l --no-update-sources --install-dir /wrkdirs/usr/ports/devel/rubygem-ffi/work/stage/usr/local/lib/ruby/gems/2.5 --ignore-dependencies --bindir=/wrkdirs/usr/ports/devel/rubygem-ffi/work/stage/usr/local/bin --rdoc --ri ffi-1.9.18.gem -- --build-args )
Building native extensions with: '--build-args'
This could take a while...
Successfully installed ffi-1.9.18
Parsing documentation for ffi-1.9.18
Installing ri documentation for ffi-1.9.18
Installing darkfish documentation for ffi-1.9.18
/usr/local/lib/ruby/2.5/rdoc/markup/to_html.rb:389: [BUG] Segmentation fault at 0x0000000000000020
ruby 2.5.0p0 (2017-12-25 revision 61468) [amd64-freebsd12]

-- Control frame information -----------------------------------------------
c:0045 p:---- s:0279 e:000278 CFUNC  :eval
c:0044 p:0029 s:0274 e:000273 METHOD /usr/local/lib/ruby/2.5/rdoc/markup/to_html.rb:389
c:0043 p:0026 s:0268 e:000267 METHOD /usr/local/lib/ruby/2.5/rdoc/markup/to_html.rb:201
c:0042 p:0006 s:0258 e:000257 METHOD /usr/local/lib/ruby/2.5/rdoc/markup/verbatim.rb:26
c:0041 p:0026 s:0253 e:000252 BLOCK  /usr/local/lib/ruby/2.5/rdoc/markup/formatter.rb:75 [FINISH]
c:0040 p:---- s:0249 e:000248 CFUNC  :each
c:0039 p:0009 s:0245 e:000244 METHOD /usr/local/lib/ruby/2.5/rdoc/markup/formatter.rb:70
c:0038 p:0012 s:0240 e:000239 METHOD /usr/local/lib/ruby/2.5/rdoc/markup/document.rb:68
c:0037 p:0074 s:0235 e:000234 METHOD /usr/local/lib/ruby/2.5/rdoc/text.rb:105
c:0036 p:0007 s:0228 e:000227 METHOD /usr/local/lib/ruby/2.5/rdoc/generator/markup.rb:28
c:0035 p:0610 s:0224 e:000222 EVAL   /usr/local/lib/ruby/2.5/rdoc/generator/template/darkfish/page.rhtml:42 [FINISH]
c:0034 p:---- s:0220 e:000219 CFUNC  :eval
c:0033 p:0041 s:0212 e:000211 METHOD /usr/local/lib/ruby/2.5/erb.rb:885
c:0032 p:0018 s:0207 e:000206 METHOD /usr/local/lib/ruby/2.5/rdoc/generator/darkfish.rb:753
c:0031 p:0031 s:0199 e:000198 BLOCK  /usr/local/lib/ruby/2.5/rdoc/generator/darkfish.rb:732 [FINISH]
c:0030 p:---- s:0195 e:000194 CFUNC  :open
c:0029 p:---- s:0192 e:000191 CFUNC  :open
c:0028 p:0100 s:0186 e:000185 METHOD /usr/local/lib/ruby/2.5/rdoc/generator/darkfish.rb:727
c:0027 p:0162 s:0176 E:001208 METHOD /usr/local/lib/ruby/2.5/rdoc/generator/darkfish.rb:481
c:0026 p:0025 s:0165 e:000164 BLOCK  /usr/local/lib/ruby/2.5/rdoc/generator/darkfish.rb:417 [FINISH]
c:0025 p:---- s:0157 e:000156 CFUNC  :each
c:0024 p:0108 s:0153 e:000152 METHOD /usr/local/lib/ruby/2.5/rdoc/generator/darkfish.rb:413
c:0023 p:0024 s:0142 e:000141 METHOD /usr/local/lib/ruby/2.5/rdoc/generator/darkfish.rb:247
c:0022 p:0023 s:0137 e:000136 BLOCK  /usr/local/lib/ruby/2.5/rdoc/rubygems_hook.rb:137 [FINISH]
c:0021 p:---- s:0134 e:000133 CFUNC  :chdir
c:0020 p:0163 s:0129 e:000128 METHOD /usr/local/lib/ruby/2.5/rdoc/rubygems_hook.rb:134
c:0019 p:0385 s:0121 e:000120 METHOD /usr/local/lib/ruby/2.5/rdoc/rubygems_hook.rb:196
c:0018 p:0014 s:0113 e:000112 BLOCK  /usr/local/lib/ruby/2.5/rdoc/rubygems_hook.rb:56 [FINISH]
c:0017 p:---- s:0109 e:000108 CFUNC  :each
c:0016 p:0043 s:0105 e:000104 METHOD /usr/local/lib/ruby/2.5/rdoc/rubygems_hook.rb:55 [FINISH]
c:0015 p:---- s:0093 e:000092 IFUNC 
c:0014 p:0015 s:0090 e:000089 BLOCK  /usr/local/lib/ruby/site_ruby/2.5/rubygems/commands/install_command.rb:242 [FINISH]
c:0013 p:---- s:0086 e:000085 CFUNC  :each
c:0012 p:0264 s:0082 e:000081 METHOD /usr/local/lib/ruby/site_ruby/2.5/rubygems/commands/install_command.rb:241
c:0011 p:0075 s:0069 e:000068 METHOD /usr/local/lib/ruby/site_ruby/2.5/rubygems/commands/install_command.rb:191
c:0010 p:0028 s:0060 e:000059 BLOCK  /usr/local/lib/ruby/site_ruby/2.5/rubygems/commands/install_command.rb:255 [FINISH]
c:0009 p:---- s:0053 e:000052 CFUNC  :each
c:0008 p:0011 s:0049 e:000048 METHOD /usr/local/lib/ruby/site_ruby/2.5/rubygems/commands/install_command.rb:251
c:0007 p:0083 s:0044 e:000043 METHOD /usr/local/lib/ruby/site_ruby/2.5/rubygems/commands/install_command.rb:158
c:0006 p:0094 s:0039 e:000038 METHOD /usr/local/lib/ruby/site_ruby/2.5/rubygems/command.rb:313
c:0005 p:0100 s:0031 e:000030 METHOD /usr/local/lib/ruby/site_ruby/2.5/rubygems/command_manager.rb:171
c:0004 p:0011 s:0023 e:000022 METHOD /usr/local/lib/ruby/site_ruby/2.5/rubygems/command_manager.rb:141
c:0003 p:0053 s:0016 e:000015 METHOD /usr/local/lib/ruby/site_ruby/2.5/rubygems/gem_runner.rb:59
c:0002 p:0124 s:0009 E:001d78 EVAL   /usr/local/bin/gem25:21 [FINISH]
c:0001 p:0000 s:0003 E:000e90 (none) [FINISH]

-- Ruby level backtrace information ----------------------------------------
/usr/local/bin/gem25:21:in `<main>'
/usr/local/lib/ruby/site_ruby/2.5/rubygems/gem_runner.rb:59:in `run'
/usr/local/lib/ruby/site_ruby/2.5/rubygems/command_manager.rb:141:in `run'
/usr/local/lib/ruby/site_ruby/2.5/rubygems/command_manager.rb:171:in `process_args'
/usr/local/lib/ruby/site_ruby/2.5/rubygems/command.rb:313:in `invoke_with_build_args'
/usr/local/lib/ruby/site_ruby/2.5/rubygems/commands/install_command.rb:158:in `execute'
/usr/local/lib/ruby/site_ruby/2.5/rubygems/commands/install_command.rb:251:in `install_gems'
/usr/local/lib/ruby/site_ruby/2.5/rubygems/commands/install_command.rb:251:in `each'
/usr/local/lib/ruby/site_ruby/2.5/rubygems/commands/install_command.rb:255:in `block in install_gems'
/usr/local/lib/ruby/site_ruby/2.5/rubygems/commands/install_command.rb:191:in `install_gem'
/usr/local/lib/ruby/site_ruby/2.5/rubygems/commands/install_command.rb:241:in `install_gem_without_dependencies'
/usr/local/lib/ruby/site_ruby/2.5/rubygems/commands/install_command.rb:241:in `each'
/usr/local/lib/ruby/site_ruby/2.5/rubygems/commands/install_command.rb:242:in `block in install_gem_without_dependencies'
/usr/local/lib/ruby/2.5/rdoc/rubygems_hook.rb:55:in `generation_hook'
/usr/local/lib/ruby/2.5/rdoc/rubygems_hook.rb:55:in `each'
/usr/local/lib/ruby/2.5/rdoc/rubygems_hook.rb:56:in `block in generation_hook'
/usr/local/lib/ruby/2.5/rdoc/rubygems_hook.rb:196:in `generate'
/usr/local/lib/ruby/2.5/rdoc/rubygems_hook.rb:134:in `document'
/usr/local/lib/ruby/2.5/rdoc/rubygems_hook.rb:134:in `chdir'
/usr/local/lib/ruby/2.5/rdoc/rubygems_hook.rb:137:in `block in document'
/usr/local/lib/ruby/2.5/rdoc/generator/darkfish.rb:247:in `generate'
/usr/local/lib/ruby/2.5/rdoc/generator/darkfish.rb:413:in `generate_file_files'
/usr/local/lib/ruby/2.5/rdoc/generator/darkfish.rb:413:in `each'
/usr/local/lib/ruby/2.5/rdoc/generator/darkfish.rb:417:in `block in generate_file_files'
/usr/local/lib/ruby/2.5/rdoc/generator/darkfish.rb:481:in `generate_page'
/usr/local/lib/ruby/2.5/rdoc/generator/darkfish.rb:727:in `render_template'
/usr/local/lib/ruby/2.5/rdoc/generator/darkfish.rb:727:in `open'
/usr/local/lib/ruby/2.5/rdoc/generator/darkfish.rb:727:in `open'
/usr/local/lib/ruby/2.5/rdoc/generator/darkfish.rb:732:in `block in render_template'
/usr/local/lib/ruby/2.5/rdoc/generator/darkfish.rb:753:in `template_result'
/usr/local/lib/ruby/2.5/erb.rb:885:in `result'
/usr/local/lib/ruby/2.5/erb.rb:885:in `eval'
/usr/local/lib/ruby/2.5/rdoc/generator/template/darkfish/page.rhtml:42:in `block in generate_page'
/usr/local/lib/ruby/2.5/rdoc/generator/markup.rb:28:in `description'
/usr/local/lib/ruby/2.5/rdoc/text.rb:105:in `markup'
/usr/local/lib/ruby/2.5/rdoc/markup/document.rb:68:in `accept'
/usr/local/lib/ruby/2.5/rdoc/markup/formatter.rb:70:in `accept_document'
/usr/local/lib/ruby/2.5/rdoc/markup/formatter.rb:70:in `each'
/usr/local/lib/ruby/2.5/rdoc/markup/formatter.rb:75:in `block in accept_document'
/usr/local/lib/ruby/2.5/rdoc/markup/verbatim.rb:26:in `accept'
/usr/local/lib/ruby/2.5/rdoc/markup/to_html.rb:201:in `accept_verbatim'
/usr/local/lib/ruby/2.5/rdoc/markup/to_html.rb:389:in `parseable?'
/usr/local/lib/ruby/2.5/rdoc/markup/to_html.rb:389:in `eval'

-- C level backtrace information -------------------------------------------
/usr/local/lib/libruby25.so.25(0x8009ffa9f) [0x8009ffa9f]
/usr/local/lib/libruby25.so.25(0x80089c633) [0x80089c633]
/usr/local/lib/libruby25.so.25(0x800978d48) [0x800978d48]
/lib/libthr.so.3(0x800685174) [0x800685174]
/lib/libthr.so.3(0x8006846d2) [0x8006846d2]
[0x7ffffffff003]
/usr/local/lib/libruby25.so.25(0x8009144cd) [0x8009144cd]
/usr/local/lib/libruby25.so.25(0x80091ff31) [0x80091ff31]
/usr/local/lib/libruby25.so.25(0x800a00b87) [0x800a00b87]
/usr/local/lib/libruby25.so.25(0x80091eeaf) [0x80091eeaf]
/usr/local/lib/libruby25.so.25(0x8008de447) [0x8008de447]
/usr/local/lib/libruby25.so.25(0x8009fbacb) [0x8009fbacb]
/usr/local/lib/libruby25.so.25(0x8009e99a0) [0x8009e99a0]
/usr/local/lib/libruby25.so.25(0x8009f3201) [0x8009f3201]
/usr/local/lib/libruby25.so.25(0x8009dcd41) [0x8009dcd41]
/usr/local/lib/libruby25.so.25(0x8009edcd7) [0x8009edcd7]
/usr/local/lib/libruby25.so.25(0x8009fafd3) [0x8009fafd3]
/usr/local/lib/libruby25.so.25(0x8009e90ae) [0x8009e90ae]
/usr/local/lib/libruby25.so.25(0x800835fa9) [0x800835fa9]
/usr/local/lib/libruby25.so.25(0x8009f3201) [0x8009f3201]
/usr/local/lib/libruby25.so.25(0x8009dc2f0) [0x8009dc2f0]
/usr/local/lib/libruby25.so.25(0x8009edcd7) [0x8009edcd7]
/usr/local/lib/libruby25.so.25(0x8009fbe0a) [0x8009fbe0a]
/usr/local/lib/libruby25.so.25(0x8009e99a0) [0x8009e99a0]
/usr/local/lib/libruby25.so.25(0x8009f3201) [0x8009f3201]
/usr/local/lib/libruby25.so.25(0x8009dcd41) [0x8009dcd41]
/usr/local/lib/libruby25.so.25(0x8009edcd7) [0x8009edcd7]
/usr/local/lib/libruby25.so.25(0x8009fafd3) [0x8009fafd3]
/usr/local/lib/libruby25.so.25(0x8009e90ae) [0x8009e90ae]
/usr/local/lib/libruby25.so.25(0x8008a326a) [0x8008a326a]
/usr/local/lib/libruby25.so.25(0x8009f9e9e) [0x8009f9e9e]
/usr/local/lib/libruby25.so.25(0x8009e88bf) [0x8009e88bf]
/usr/local/lib/libruby25.so.25(0x8009e96bf) [0x8009e96bf]
/usr/local/lib/libruby25.so.25(0x8009e975f) [0x8009e975f]
/usr/local/lib/ruby/2.5/amd64-freebsd12/pathname.so(0x806c9cc0a) [0x806c9cc0a]
/usr/local/lib/libruby25.so.25(0x8009f3201) [0x8009f3201]
/usr/local/lib/libruby25.so.25(0x8009dc2f0) [0x8009dc2f0]
/usr/local/lib/libruby25.so.25(0x8009edcd7) [0x8009edcd7]
/usr/local/lib/libruby25.so.25(0x8009fafd3) [0x8009fafd3]
/usr/local/lib/libruby25.so.25(0x8009e90ae) [0x8009e90ae]
/usr/local/lib/libruby25.so.25(0x800835fa9) [0x800835fa9]
/usr/local/lib/libruby25.so.25(0x8009f3201) [0x8009f3201]
/usr/local/lib/libruby25.so.25(0x8009dc2f0) [0x8009dc2f0]
/usr/local/lib/libruby25.so.25(0x8009edcd7) [0x8009edcd7]
/usr/local/lib/libruby25.so.25(0x8009fafd3) [0x8009fafd3]
/usr/local/lib/libruby25.so.25(0x8009e90ae) [0x8009e90ae]
/usr/local/lib/libruby25.so.25(0x8008a326a) [0x8008a326a]
/usr/local/lib/libruby25.so.25(0x80088836b) [0x80088836b]
/usr/local/lib/libruby25.so.25(0x8009f3201) [0x8009f3201]
/usr/local/lib/libruby25.so.25(0x8009dc2f0) [0x8009dc2f0]
/usr/local/lib/libruby25.so.25(0x8009edcd7) [0x8009edcd7]
/usr/local/lib/libruby25.so.25(0x8009fafd3) [0x8009fafd3]
/usr/local/lib/libruby25.so.25(0x8009e90ae) [0x8009e90ae]
/usr/local/lib/libruby25.so.25(0x800835fa9) [0x800835fa9]
/usr/local/lib/libruby25.so.25(0x8009f3201) [0x8009f3201]
/usr/local/lib/libruby25.so.25(0x8009dc2f0) [0x8009dc2f0]
/usr/local/lib/libruby25.so.25(0x8009edcd7) [0x8009edcd7]
/usr/local/lib/libruby25.so.25(0x8009f9fc9) [0x8009f9fc9]
/usr/local/lib/libruby25.so.25(0x8009e7b9f) [0x8009e7b9f]
/usr/local/lib/libruby25.so.25(0x8009ec823) [0x8009ec823]
/usr/local/lib/libruby25.so.25(0x8009f431c) [0x8009f431c]
/usr/local/lib/libruby25.so.25(0x8009dcd41) [0x8009dcd41]
/usr/local/lib/libruby25.so.25(0x8009edcd7) [0x8009edcd7]
/usr/local/lib/libruby25.so.25(0x8009fafd3) [0x8009fafd3]
/usr/local/lib/libruby25.so.25(0x8009e90ae) [0x8009e90ae]
/usr/local/lib/libruby25.so.25(0x800835fa9) [0x800835fa9]
/usr/local/lib/libruby25.so.25(0x8009f3201) [0x8009f3201]
/usr/local/lib/libruby25.so.25(0x8009dc2f0) [0x8009dc2f0]
/usr/local/lib/libruby25.so.25(0x8009edcd7) [0x8009edcd7]
/usr/local/lib/libruby25.so.25(0x8009fafd3) [0x8009fafd3]
/usr/local/lib/libruby25.so.25(0x8009e90ae) [0x8009e90ae]
/usr/local/lib/libruby25.so.25(0x800835fa9) [0x800835fa9]
/usr/local/lib/libruby25.so.25(0x8009f3201) [0x8009f3201]
/usr/local/lib/libruby25.so.25(0x8009dc2f0) [0x8009dc2f0]
/usr/local/lib/libruby25.so.25(0x8009edcd7) [0x8009edcd7]
/usr/local/lib/libruby25.so.25(0x8008a2710) [0x8008a2710]
/usr/local/lib/libruby25.so.25(0x8008a25e7) [0x8008a25e7]
/usr/local/bin/ruby25(0x400aaf) [0x400aaf]
/usr/local/bin/ruby25(_start+0x95) [0x400835]
[0x800627000]

-- Other runtime information -----------------------------------------------

* Loaded script: /usr/local/bin/gem25

* Loaded features:

    0 enumerator.so
    1 thread.rb
    2 rational.so
    3 complex.so
    4 /usr/local/lib/ruby/2.5/amd64-freebsd12/enc/encdb.so
    5 /usr/local/lib/ruby/2.5/amd64-freebsd12/enc/trans/transdb.so
    6 /usr/local/lib/ruby/2.5/amd64-freebsd12/rbconfig.rb
    7 /usr/local/lib/ruby/site_ruby/2.5/rubygems/compatibility.rb
    8 /usr/local/lib/ruby/site_ruby/2.5/rubygems/defaults.rb
    9 /usr/local/lib/ruby/site_ruby/2.5/rubygems/deprecate.rb
   10 /usr/local/lib/ruby/site_ruby/2.5/rubygems/errors.rb
   11 /usr/local/lib/ruby/site_ruby/2.5/rubygems/version.rb
   12 /usr/local/lib/ruby/site_ruby/2.5/rubygems/requirement.rb
   13 /usr/local/lib/ruby/site_ruby/2.5/rubygems/platform.rb
   14 /usr/local/lib/ruby/site_ruby/2.5/rubygems/basic_specification.rb
   15 /usr/local/lib/ruby/site_ruby/2.5/rubygems/stub_specification.rb
   16 /usr/local/lib/ruby/site_ruby/2.5/rubygems/util/list.rb
   17 /usr/local/lib/ruby/2.5/amd64-freebsd12/stringio.so
   18 /usr/local/lib/ruby/site_ruby/2.5/rubygems/specification.rb
   19 /usr/local/lib/ruby/site_ruby/2.5/rubygems/exceptions.rb
   20 /usr/local/lib/ruby/site_ruby/2.5/rubygems/core_ext/kernel_gem.rb
   21 /usr/local/lib/ruby/2.5/monitor.rb
   22 /usr/local/lib/ruby/site_ruby/2.5/rubygems/core_ext/kernel_require.rb
   23 /usr/local/lib/ruby/site_ruby/2.5/rubygems.rb
   24 /usr/local/lib/ruby/site_ruby/2.5/rubygems/dependency.rb
   25 /usr/local/lib/ruby/site_ruby/2.5/rubygems/path_support.rb
   26 /usr/local/lib/ruby/2.5/optparse.rb
   27 /usr/local/lib/ruby/site_ruby/2.5/rubygems/util.rb
   28 /usr/local/lib/ruby/site_ruby/2.5/rubygems/user_interaction.rb
   29 /usr/local/lib/ruby/site_ruby/2.5/rubygems/command.rb
   30 /usr/local/lib/ruby/site_ruby/2.5/rubygems/command_manager.rb
   31 /usr/local/lib/ruby/2.5/amd64-freebsd12/etc.so
   32 /usr/local/lib/ruby/site_ruby/2.5/rubygems/config_file.rb
   33 /usr/local/lib/ruby/site_ruby/2.5/rubygems/gem_runner.rb
   34 /usr/local/lib/ruby/2.5/psych/versions.rb
   35 /usr/local/lib/ruby/2.5/psych/exception.rb
   36 /usr/local/lib/ruby/2.5/psych/syntax_error.rb
   37 /usr/local/lib/ruby/2.5/amd64-freebsd12/psych.so
   38 /usr/local/lib/ruby/2.5/psych/omap.rb
   39 /usr/local/lib/ruby/2.5/psych/set.rb
   40 /usr/local/lib/ruby/2.5/psych/class_loader.rb
   41 /usr/local/lib/ruby/2.5/amd64-freebsd12/strscan.so
   42 /usr/local/lib/ruby/2.5/psych/scalar_scanner.rb
   43 /usr/local/lib/ruby/2.5/psych/nodes/node.rb
   44 /usr/local/lib/ruby/2.5/psych/nodes/stream.rb
   45 /usr/local/lib/ruby/2.5/psych/nodes/document.rb
   46 /usr/local/lib/ruby/2.5/psych/nodes/sequence.rb
   47 /usr/local/lib/ruby/2.5/psych/nodes/scalar.rb
   48 /usr/local/lib/ruby/2.5/psych/nodes/mapping.rb
   49 /usr/local/lib/ruby/2.5/psych/nodes/alias.rb
   50 /usr/local/lib/ruby/2.5/psych/nodes.rb
   51 /usr/local/lib/ruby/2.5/psych/streaming.rb
   52 /usr/local/lib/ruby/2.5/psych/visitors/visitor.rb
   53 /usr/local/lib/ruby/2.5/psych/visitors/to_ruby.rb
   54 /usr/local/lib/ruby/2.5/psych/visitors/emitter.rb
   55 /usr/local/lib/ruby/2.5/psych/handler.rb
   56 /usr/local/lib/ruby/2.5/psych/tree_builder.rb
   57 /usr/local/lib/ruby/2.5/psych/visitors/yaml_tree.rb
   58 /usr/local/lib/ruby/2.5/psych/json/ruby_events.rb
   59 /usr/local/lib/ruby/2.5/psych/visitors/json_tree.rb
   60 /usr/local/lib/ruby/2.5/psych/visitors/depth_first.rb
   61 /usr/local/lib/ruby/2.5/psych/visitors.rb
   62 /usr/local/lib/ruby/2.5/psych/parser.rb
   63 /usr/local/lib/ruby/2.5/psych/coder.rb
   64 /usr/local/lib/ruby/2.5/psych/core_ext.rb
   65 /usr/local/lib/ruby/2.5/psych/stream.rb
   66 /usr/local/lib/ruby/2.5/psych/json/yaml_events.rb
   67 /usr/local/lib/ruby/2.5/psych/json/tree_builder.rb
   68 /usr/local/lib/ruby/2.5/psych/json/stream.rb
   69 /usr/local/lib/ruby/2.5/psych/handlers/document_stream.rb
   70 /usr/local/lib/ruby/2.5/psych.rb
   71 /usr/local/lib/ruby/site_ruby/2.5/rubygems/psych_additions.rb
   72 /usr/local/lib/ruby/site_ruby/2.5/rubygems/psych_tree.rb
   73 /usr/local/lib/ruby/2.5/yaml.rb
   74 /usr/local/lib/ruby/site_ruby/2.5/rubygems/safe_yaml.rb
   75 /usr/local/lib/ruby/site_ruby/2.5/rubygems/syck_hack.rb
   76 /usr/local/lib/ruby/2.5/timeout.rb
   77 /usr/local/lib/ruby/site_ruby/2.5/rubygems/security_option.rb
   78 /usr/local/lib/ruby/site_ruby/2.5/rubygems/install_update_options.rb
   79 /usr/local/lib/ruby/2.5/tsort.rb
   80 /usr/local/lib/ruby/site_ruby/2.5/rubygems/dependency_list.rb
   81 /usr/local/lib/ruby/2.5/fileutils.rb
   82 /usr/local/lib/ruby/2.5/amd64-freebsd12/digest.so
   83 /usr/local/lib/ruby/2.5/digest.rb
   84 /usr/local/lib/ruby/2.5/amd64-freebsd12/openssl.so
   85 /usr/local/lib/ruby/2.5/openssl/bn.rb
   86 /usr/local/lib/ruby/2.5/openssl/pkey.rb
   87 /usr/local/lib/ruby/2.5/openssl/cipher.rb
   88 /usr/local/lib/ruby/2.5/openssl/config.rb
   89 /usr/local/lib/ruby/2.5/openssl/digest.rb
   90 /usr/local/lib/ruby/2.5/openssl/x509.rb
   91 /usr/local/lib/ruby/2.5/openssl/buffering.rb
   92 /usr/local/lib/ruby/2.5/amd64-freebsd12/io/nonblock.so
   93 /usr/local/lib/ruby/2.5/openssl/ssl.rb
   94 /usr/local/lib/ruby/2.5/openssl/pkcs5.rb
   95 /usr/local/lib/ruby/2.5/openssl.rb
   96 /usr/local/lib/ruby/site_ruby/2.5/rubygems/security/policy.rb
   97 /usr/local/lib/ruby/site_ruby/2.5/rubygems/security/policies.rb
   98 /usr/local/lib/ruby/site_ruby/2.5/rubygems/security/trust_dir.rb
   99 /usr/local/lib/ruby/site_ruby/2.5/rubygems/security/signer.rb
  100 /usr/local/lib/ruby/site_ruby/2.5/rubygems/security.rb
  101 /usr/local/lib/ruby/2.5/amd64-freebsd12/zlib.so
  102 /usr/local/lib/ruby/site_ruby/2.5/rubygems/package/digest_io.rb
  103 /usr/local/lib/ruby/site_ruby/2.5/rubygems/package/source.rb
  104 /usr/local/lib/ruby/site_ruby/2.5/rubygems/package/file_source.rb
  105 /usr/local/lib/ruby/site_ruby/2.5/rubygems/package/io_source.rb
  106 /usr/local/lib/ruby/site_ruby/2.5/rubygems/package/old.rb
  107 /usr/local/lib/ruby/site_ruby/2.5/rubygems/package/tar_header.rb
  108 /usr/local/lib/ruby/site_ruby/2.5/rubygems/package/tar_reader/entry.rb
  109 /usr/local/lib/ruby/site_ruby/2.5/rubygems/package/tar_reader.rb
  110 /usr/local/lib/ruby/site_ruby/2.5/rubygems/package/tar_writer.rb
  111 /usr/local/lib/ruby/site_ruby/2.5/rubygems/package.rb
  112 /usr/local/lib/ruby/site_ruby/2.5/rubygems/ext/build_error.rb
  113 /usr/local/lib/ruby/site_ruby/2.5/rubygems/ext/builder.rb
  114 /usr/local/lib/ruby/site_ruby/2.5/rubygems/ext/configure_builder.rb
  115 /usr/local/lib/ruby/2.5/delegate.rb
  116 /usr/local/lib/ruby/2.5/tmpdir.rb
  117 /usr/local/lib/ruby/2.5/tempfile.rb
  118 /usr/local/lib/ruby/site_ruby/2.5/rubygems/ext/ext_conf_builder.rb
  119 /usr/local/lib/ruby/site_ruby/2.5/rubygems/ext/rake_builder.rb
  120 /usr/local/lib/ruby/site_ruby/2.5/rubygems/ext/cmake_builder.rb
  121 /usr/local/lib/ruby/site_ruby/2.5/rubygems/ext.rb
  122 /usr/local/lib/ruby/site_ruby/2.5/rubygems/installer.rb
  123 /usr/local/lib/ruby/2.5/amd64-freebsd12/socket.so
  124 /usr/local/lib/ruby/2.5/amd64-freebsd12/io/wait.so
  125 /usr/local/lib/ruby/2.5/socket.rb
  126 /usr/local/lib/ruby/2.5/net/protocol.rb
  127 /usr/local/lib/ruby/2.5/uri/rfc2396_parser.rb
  128 /usr/local/lib/ruby/2.5/uri/rfc3986_parser.rb
  129 /usr/local/lib/ruby/2.5/uri/common.rb
  130 /usr/local/lib/ruby/2.5/uri/generic.rb
  131 /usr/local/lib/ruby/2.5/uri/ftp.rb
  132 /usr/local/lib/ruby/2.5/uri/http.rb
  133 /usr/local/lib/ruby/2.5/uri/https.rb
  134 /usr/local/lib/ruby/2.5/uri/ldap.rb
  135 /usr/local/lib/ruby/2.5/uri/ldaps.rb
  136 /usr/local/lib/ruby/2.5/uri/mailto.rb
  137 /usr/local/lib/ruby/2.5/uri.rb
  138 /usr/local/lib/ruby/2.5/net/http/exceptions.rb
  139 /usr/local/lib/ruby/2.5/net/http/header.rb
  140 /usr/local/lib/ruby/2.5/amd64-freebsd12/enc/windows_31j.so
  141 /usr/local/lib/ruby/2.5/net/http/generic_request.rb
  142 /usr/local/lib/ruby/2.5/net/http/request.rb
  143 /usr/local/lib/ruby/2.5/net/http/requests.rb
  144 /usr/local/lib/ruby/2.5/net/http/response.rb
  145 /usr/local/lib/ruby/2.5/net/http/responses.rb
  146 /usr/local/lib/ruby/2.5/net/http/proxy_delta.rb
  147 /usr/local/lib/ruby/2.5/net/http/backward.rb
  148 /usr/local/lib/ruby/2.5/net/http.rb
  149 /usr/local/lib/ruby/2.5/amd64-freebsd12/date_core.so
  150 /usr/local/lib/ruby/2.5/date.rb
  151 /usr/local/lib/ruby/2.5/time.rb
  152 /usr/local/lib/ruby/site_ruby/2.5/rubygems/request/http_pool.rb
  153 /usr/local/lib/ruby/site_ruby/2.5/rubygems/request/https_pool.rb
  154 /usr/local/lib/ruby/site_ruby/2.5/rubygems/request/connection_pools.rb
  155 /usr/local/lib/ruby/site_ruby/2.5/rubygems/request.rb
  156 /usr/local/lib/ruby/2.5/cgi/core.rb
  157 /usr/local/lib/ruby/2.5/amd64-freebsd12/cgi/escape.so
  158 /usr/local/lib/ruby/2.5/cgi/util.rb
  159 /usr/local/lib/ruby/2.5/cgi/cookie.rb
  160 /usr/local/lib/ruby/2.5/cgi.rb
  161 /usr/local/lib/ruby/site_ruby/2.5/rubygems/uri_formatter.rb
  162 /usr/local/lib/ruby/2.5/securerandom.rb
  163 /usr/local/lib/ruby/2.5/resolv.rb
  164 /usr/local/lib/ruby/site_ruby/2.5/rubygems/remote_fetcher.rb
  165 /usr/local/lib/ruby/site_ruby/2.5/rubygems/text.rb
  166 /usr/local/lib/ruby/site_ruby/2.5/rubygems/name_tuple.rb
  167 /usr/local/lib/ruby/site_ruby/2.5/rubygems/spec_fetcher.rb
  168 /usr/local/lib/ruby/site_ruby/2.5/rubygems/source/git.rb
  169 /usr/local/lib/ruby/site_ruby/2.5/rubygems/source/installed.rb
  170 /usr/local/lib/ruby/site_ruby/2.5/rubygems/source/specific_file.rb
  171 /usr/local/lib/ruby/site_ruby/2.5/rubygems/source/local.rb
  172 /usr/local/lib/ruby/site_ruby/2.5/rubygems/source/lock.rb
  173 /usr/local/lib/ruby/site_ruby/2.5/rubygems/source/vendor.rb
  174 /usr/local/lib/ruby/site_ruby/2.5/rubygems/source.rb
  175 /usr/local/lib/ruby/site_ruby/2.5/rubygems/available_set.rb
  176 /usr/local/lib/ruby/site_ruby/2.5/rubygems/dependency_installer.rb
  177 /usr/local/lib/ruby/site_ruby/2.5/rubygems/local_remote_options.rb
  178 /usr/local/lib/ruby/site_ruby/2.5/rubygems/validator.rb
  179 /usr/local/lib/ruby/site_ruby/2.5/rubygems/version_option.rb
  180 /usr/local/lib/ruby/site_ruby/2.5/rubygems/commands/install_command.rb
  181 /usr/local/lib/ruby/site_ruby/2.5/rubygems/install_message.rb
  182 /usr/local/lib/ruby/2.5/rdoc.rb
  183 /usr/local/lib/ruby/2.5/rdoc/rubygems_hook.rb
  184 /usr/local/lib/ruby/site_ruby/2.5/rubygems/rdoc.rb
  185 /usr/local/lib/ruby/2.5/amd64-freebsd12/enc/utf_16le.so
  186 /usr/local/lib/ruby/2.5/amd64-freebsd12/enc/utf_16be.so
  187 /usr/local/lib/ruby/2.5/find.rb
  188 /usr/local/lib/ruby/2.5/amd64-freebsd12/pathname.so
  189 /usr/local/lib/ruby/2.5/pathname.rb
  190 /usr/local/lib/ruby/2.5/erb.rb
  191 /usr/local/lib/ruby/2.5/rdoc/generator.rb
  192 /usr/local/lib/ruby/2.5/rdoc/markup.rb
  193 /usr/local/lib/ruby/2.5/rdoc/markup/formatter.rb
  194 /usr/local/lib/ruby/2.5/rdoc/markup/to_joined_paragraph.rb
  195 /usr/local/lib/ruby/2.5/rdoc/markdown/entities.rb
  196 /usr/local/lib/ruby/2.5/rdoc/markdown/literals.rb
  197 /usr/local/lib/ruby/2.5/rdoc/markdown.rb
  198 /usr/local/lib/ruby/2.5/rdoc/rd.rb
  199 /usr/local/lib/ruby/2.5/rdoc/markup/parser.rb
  200 /usr/local/lib/ruby/2.5/rdoc/markup/pre_process.rb
  201 /usr/local/lib/ruby/2.5/rdoc/tom_doc.rb
  202 /usr/local/lib/ruby/2.5/rdoc/text.rb
  203 /usr/local/lib/ruby/2.5/rdoc/code_object.rb
  204 /usr/local/lib/ruby/2.5/rdoc/method_attr.rb
  205 /usr/local/lib/ruby/2.5/rdoc/context.rb
  206 /usr/local/lib/ruby/2.5/rdoc/class_module.rb
  207 /usr/local/lib/ruby/2.5/rdoc/context/section.rb
  208 /usr/local/lib/ruby/2.5/rdoc/top_level.rb
  209 /usr/local/lib/ruby/2.5/rdoc/generator/markup.rb
  210 /usr/local/lib/ruby/2.5/rdoc/generator/darkfish.rb
  211 /usr/local/lib/ruby/2.5/rdoc/generator/ri.rb
  212 /usr/local/lib/ruby/2.5/rdoc/generator/pot.rb
  213 /usr/local/lib/ruby/2.5/rdoc/rdoc.rb
  214 /usr/local/lib/ruby/2.5/rdoc/options.rb
  215 /usr/local/lib/ruby/2.5/rdoc/parser/text.rb
  216 /usr/local/lib/ruby/2.5/rdoc/parser/simple.rb
  217 /usr/local/lib/ruby/2.5/rdoc/parser/c.rb
  218 /usr/local/lib/ruby/2.5/rdoc/parser/changelog.rb
  219 /usr/local/lib/ruby/2.5/rdoc/parser/markdown.rb
  220 /usr/local/lib/ruby/2.5/rdoc/parser/rd.rb
  221 /usr/local/lib/ruby/2.5/amd64-freebsd12/ripper.so
  222 /usr/local/lib/ruby/2.5/ripper/core.rb
  223 /usr/local/lib/ruby/2.5/ripper/lexer.rb
  224 /usr/local/lib/ruby/2.5/ripper/filter.rb
  225 /usr/local/lib/ruby/2.5/ripper/sexp.rb
  226 /usr/local/lib/ruby/2.5/ripper.rb
  227 /usr/local/lib/ruby/2.5/rdoc/token_stream.rb
  228 /usr/local/lib/ruby/2.5/rdoc/parser/ruby_tools.rb
  229 /usr/local/lib/ruby/2.5/rdoc/parser/ruby.rb
  230 /usr/local/lib/ruby/2.5/rdoc/parser.rb
  231 /usr/local/lib/ruby/2.5/rdoc/store.rb
  232 /usr/local/lib/ruby/2.5/rdoc/stats.rb
  233 /usr/local/lib/ruby/2.5/rdoc/stats/quiet.rb
  234 /usr/local/lib/ruby/2.5/rdoc/encoding.rb
  235 /usr/local/lib/ruby/2.5/rdoc/comment.rb
  236 /usr/local/lib/ruby/2.5/rdoc/known_classes.rb
  237 /usr/local/lib/ruby/2.5/rdoc/normal_class.rb
  238 /usr/local/lib/ruby/2.5/rdoc/markup/document.rb
  239 /usr/local/lib/ruby/2.5/rdoc/parser/ripper_state_lex.rb
  240 /usr/local/lib/ruby/2.5/rdoc/require.rb
  241 /usr/local/lib/ruby/2.5/rdoc/normal_module.rb
  242 /usr/local/lib/ruby/2.5/rdoc/markup/heading.rb
  243 /usr/local/lib/ruby/2.5/rdoc/markup/blank_line.rb
  244 /usr/local/lib/ruby/2.5/rdoc/markup/list.rb
  245 /usr/local/lib/ruby/2.5/rdoc/markup/raw.rb
  246 /usr/local/lib/ruby/2.5/rdoc/markup/paragraph.rb
  247 /usr/local/lib/ruby/2.5/rdoc/markup/list_item.rb
  248 /usr/local/lib/ruby/2.5/rdoc/mixin.rb
  249 /usr/local/lib/ruby/2.5/rdoc/extend.rb
  250 /usr/local/lib/ruby/2.5/rdoc/any_method.rb
  251 /usr/local/lib/ruby/2.5/rdoc/attr.rb
  252 /usr/local/lib/ruby/2.5/rdoc/include.rb
  253 /usr/local/lib/ruby/2.5/rdoc/alias.rb
  254 /usr/local/lib/ruby/2.5/rdoc/constant.rb
  255 /usr/local/lib/ruby/2.5/rdoc/markup/verbatim.rb
  256 /usr/local/lib/ruby/2.5/rdoc/markup/rule.rb
  257 /usr/local/lib/ruby/2.5/json/version.rb
  258 /usr/local/lib/ruby/2.5/ostruct.rb
  259 /usr/local/lib/ruby/2.5/json/generic_object.rb
  260 /usr/local/lib/ruby/2.5/json/common.rb
  261 /usr/local/lib/ruby/2.5/amd64-freebsd12/json/ext/parser.so
  262 /usr/local/lib/ruby/2.5/amd64-freebsd12/json/ext/generator.so
  263 /usr/local/lib/ruby/2.5/json/ext.rb
  264 /usr/local/lib/ruby/2.5/json.rb
  265 /usr/local/lib/ruby/2.5/rdoc/generator/json_index.rb
  266 /usr/local/lib/ruby/2.5/rdoc/erbio.rb
  267 /usr/local/lib/ruby/2.5/rdoc/erb_partial.rb
  268 /usr/local/lib/ruby/2.5/rdoc/markup/to_table_of_contents.rb
  269 /usr/local/lib/ruby/2.5/rdoc/markup/attribute_manager.rb
  270 /usr/local/lib/ruby/2.5/rdoc/markup/attributes.rb
  271 /usr/local/lib/ruby/2.5/rdoc/markup/to_html.rb
  272 /usr/local/lib/ruby/2.5/rdoc/cross_reference.rb
  273 /usr/local/lib/ruby/2.5/rdoc/markup/to_html_crossref.rb
  274 /usr/local/lib/ruby/2.5/rdoc/markup/hard_break.rb
  275 /usr/local/lib/ruby/2.5/rdoc/markup/attr_span.rb
  276 /usr/local/lib/ruby/2.5/rdoc/markup/attr_changer.rb
  277 /usr/local/lib/ruby/2.5/rdoc/markup/special.rb
  278 /usr/local/lib/ruby/2.5/rdoc/markup/to_label.rb
  279 /usr/local/lib/ruby/2.5/amd64-freebsd12/enc/trans/single_byte.so
  280 /usr/local/lib/ruby/2.5/amd64-freebsd12/enc/euc_jp.so

This is only the beginning of the actual trace, but the point is there.

Bug was already reported upstream as https://bugs.ruby-lang.org/issues/14261 and fixed as https://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=revision&revision=61523 , so a backport may be in order here to unbreak some dependent ports like the one mentioned in the beginning of this PR.
Comment 1 Charlie Li 2018-01-27 15:49:41 UTC
Created attachment 190116 [details]
parse.y and others

See also review D14073.
Comment 2 commit-hook freebsd_committer 2018-02-16 03:12:34 UTC
A commit references this bug:

Author: swills
Date: Fri Feb 16 03:11:46 UTC 2018
New revision: 461970
URL: https://svnweb.freebsd.org/changeset/ports/461970

Log:
  lang/ruby25: apply upstream patch to fix segfault

  PR:		225470
  Submitted by:	Charlie Li <ml+freebsd@vishwin.info>
  Obtained from:	https://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=revision&revision=61523
  Differential Revision:	https://reviews.freebsd.org/D14073

Changes:
  head/Mk/bsd.ruby.mk
  head/lang/ruby25/files/patch-ext_ripper_ripper.c
  head/lang/ruby25/files/patch-ext_ripper_ripper.y
  head/lang/ruby25/files/patch-parse.c
  head/lang/ruby25/files/patch-parse.y
  head/lang/ruby25/files/patch-test_ruby_test__parse.rb
Comment 3 Steve Wills freebsd_committer 2018-02-16 03:13:00 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2018-02-17 11:59:37 UTC
A commit references this bug:

Author: sunpoet
Date: Sat Feb 17 11:59:12 UTC 2018
New revision: 462121
URL: https://svnweb.freebsd.org/changeset/ports/462121

Log:
  Remove unnecessary patches

  We do not need to patch those files which will be regenerated during build.

  Reference:	https://bugs.ruby-lang.org/issues/14261
  PR:		225470

Changes:
  head/lang/ruby25/Makefile
Comment 5 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-02-17 12:05:04 UTC
(In reply to commit-hook from comment #4)

Sorry for the wrong commit log. It should be "Fix typo".